import { select, json, tree, hierarchy, linkHorizontal } from 'd3';
const svg = d3.select('svg');


const height = document.body.clientHeight;
const width = document.body.clientWidth;

const treeLayout = tree()
  .size([height, width]);



console.log(width,height)
svg 
  .attr('width',width)
  .attr('height',height)  ;

json('data.json')
  .then(data => {
    const root = hierarchy(data);
    const links = treeLayout(root).links();
    const linkPathGenerator = linkHorizontal()
      .x(d => d.y)
      .y(d => d.x);
  
    svg.selectAll('path').data(links)
      .enter().append('path')
        .attr('d', linkPathGenerator);
    //console.log(data);
  }); 